<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/31/2004 *
 * ================                             Last change: 11/14/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_bonus.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Configure "turbo-click-bonus"                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einstellen der Turbo-Klick-Verguetungen          *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if (isset($_POST['ok'])) {
	// Replace german decimal commas to computer decimal dots
	$_POST['login_bonus']         = REVERT_COMMA($_POST['login_bonus']        );
	$_POST['turbo_bonus']         = REVERT_COMMA($_POST['turbo_bonus']        );
	$_POST['bonus_ref']           = REVERT_COMMA($_POST['bonus_ref']          );
	$_POST['bonus_order']         = REVERT_COMMA($_POST['bonus_order']        );
	$_POST['bonus_notify_points'] = REVERT_COMMA($_POST['bonus_notify_points']);

	// Generate string for saving ranks
	$_POST['turbo_rates'] = ""; $RATES = array();
	foreach ($_POST['rate'] as $rate) {
		$rate = trim(REVERT_COMMA($rate));
		if (isset($rate)) $RATES[] = $rate;
	}
	$_POST['turbo_rates'] = trim(implode(";", $RATES));
	unset($_POST['rate']);

	// Automatically calculate bonus points for ranks 2 and 3 when not set
	if (empty($_POST['turbo_rates'])) $_POST['turbo_rates'] = "".round($_CONFIG['turbo_bonus'] / 2).";".round($_CONFIG['turbo_bonus'] / 4)."";

	// Save data
	ADMIN_SAVE_SETTINGS($_POST);

	// Remember new settings
	$_CONFIG['bonus_active']    = $_POST['bonus_active'];
	$_CONFIG['bonus_en_notify'] = $_POST['bonus_en_notify'];
	$_CONFIG['bonus_di_notify'] = $_POST['bonus_di_notify'];
} else {
	// Prepare contants for the template
	define('__LOGIN_VALUE' , TRANSLATE_COMMA($_CONFIG['login_bonus']        , false));
	define('__TURBO_VALUE' , TRANSLATE_COMMA($_CONFIG['turbo_bonus']        , false));
	define('__ORDER_VALUE' , TRANSLATE_COMMA($_CONFIG['bonus_order']        , false));
	define('__REF_VALUE'   , TRANSLATE_COMMA($_CONFIG['bonus_ref']          , false));
	define('__STATS_VALUE' , TRANSLATE_COMMA($_CONFIG['bonus_stats']        , false));
	define('__NOTIFY_VALUE', TRANSLATE_COMMA($_CONFIG['bonus_notify_points'], false));
	define('__TRANKS_VALUE', $_CONFIG['bonus_ranks']);
	define('__TLINES_VALUE', $_CONFIG['bonus_lines']);

	// Transfer options to template __MEMBER_SELECTION
	define('__MEMBER_SELECTION', ADD_MEMBER_SELECTION_BOX($_CONFIG['bonus_uid'], false, true, true, "bonus_uid"));

	// Initialize array for the points list
	//die("*".$_CONFIG['turbo_rates']."*");
	$RANKS = explode(";", $_CONFIG['turbo_rates']);

	// Automatically calculate bonus points for ranks 2 and 3 when not set
	if (empty($_CONFIG['turbo_rates'])) $RANKS = array(round($_CONFIG['turbo_bonus'] / 2), round($_CONFIG['turbo_bonus'] / 4));

	// Generate list
	$OUT = "<OL start=\"2\">\n";
	$cnt = 0;
	foreach ($RANKS as $k => $rate) {
		if (!empty($rate)) 	{
			// Print only when something is in
			$OUT .= "  <LI><INPUT type=\"text\" name=\"rate[".($k + 2)."]\" class=\"admin_normal\" size=\"4\" maxlength=\"7\" value=\"".$rate."\">&nbsp;<FONT class=\"admin_notes\">(".POINTS.")</FONT?</LI>\n";
		}
		$cnt++;
	}
	// Maxmium entries
	$max = 10;
	if ($cnt >= 8) $max = $cnt+3;

	// Add more empty fields
	for ($i = $cnt; $i < $max; $i++) {
		$OUT .= "  <LI><INPUT type=\"text\" name=\"rate[".($i+2)."]\" class=\"admin_normal\" size=\"4\" maxlength=\"7\">&nbsp;<FONT class=\"admin_notes\">(".POINTS.")</FONT?</LI>\n";
	}
	$OUT .= "</OL>\n";
	define('__TRATES_LIST', $OUT);

	define('__LOGIN_TIMEOUT_SELECTION', CREATE_TIME_SELECTIONS($_CONFIG['login_timeout']    , "login_timeout"    , "WDh"));
	define('__BONUS_TIMEOUT_SELECTION', CREATE_TIME_SELECTIONS($_CONFIG['bonus_timeout']    , "bonus_timeout"    , "WDh"));
	define('__WAIT_SELECTION'         , CREATE_TIME_SELECTIONS($_CONFIG['bonus_notify_wait'], "bonus_notify_wait", "ms" ));

	// Activate / Deactivate bonus active rallye (Y/N)
	switch ($_CONFIG['bonus_active'])
	{
	case 'Y':
		define('__BONUS_ACTIVE_Y', " checked=\"checked\"");
		define('__BONUS_ACTIVE_N', "");
		break;

	case 'N':
		define('__BONUS_ACTIVE_Y', "");
		define('__BONUS_ACTIVE_N', " checked=\"checked\"");
		break;
	}
	// Other bonus to de-/activate
	switch ($_CONFIG['bonus_login_yn'])
	{
	case 'Y':
		define('__BONUS_LOGIN_Y', " checked=\"checked\"");
		define('__BONUS_LOGIN_N', "");
		break;

	case 'N':
		define('__BONUS_LOGIN_Y', "");
		define('__BONUS_LOGIN_N', " checked=\"checked\"");
		break;
	}
	switch ($_CONFIG['bonus_stats_yn'])
	{
	case 'Y':
		define('__BONUS_STATS_Y', " checked=\"checked\"");
		define('__BONUS_STATS_N', "");
		break;

	case 'N':
		define('__BONUS_STATS_Y', "");
		define('__BONUS_STATS_N', " checked=\"checked\"");
		break;
	}
	switch ($_CONFIG['bonus_order_yn'])
	{
	case 'Y':
		define('__BONUS_ORDER_Y', " checked=\"checked\"");
		define('__BONUS_ORDER_N', "");
		break;

	case 'N':
		define('__BONUS_ORDER_Y', "");
		define('__BONUS_ORDER_N', " checked=\"checked\"");
		break;
	}
	switch ($_CONFIG['bonus_ref_yn'])
	{
	case 'Y':
		define('__BONUS_REF_Y', " checked=\"checked\"");
		define('__BONUS_REF_N', "");
		break;

	case 'N':
		define('__BONUS_REF_Y', "");
		define('__BONUS_REF_N', " checked=\"checked\"");
		break;
	}
	switch ($_CONFIG['bonus_click_yn'])
	{
	case 'Y':
		define('__BONUS_CLICK_Y', " checked=\"checked\"");
		define('__BONUS_CLICK_N', "");
		break;

	case 'N':
		define('__BONUS_CLICK_Y', "");
		define('__BONUS_CLICK_N', " checked=\"checked\"");
		break;
	}
	switch ($_CONFIG['bonus_en_notify'])
	{
	case 'Y':
		define('__BONUS_EN_NOTIFY_Y', " checked=\"checked\"");
		define('__BONUS_EN_NOTIFY_N', "");
		break;

	case 'N':
		define('__BONUS_EN_NOTIFY_Y', "");
		define('__BONUS_EN_NOTIFY_N', " checked=\"checked\"");
		break;
	}
	switch ($_CONFIG['bonus_di_notify'])
	{
	case 'Y':
		define('__BONUS_DI_NOTIFY_Y', " checked=\"checked\"");
		define('__BONUS_DI_NOTIFY_N', "");
		break;

	case 'N':
		define('__BONUS_DI_NOTIFY_Y', "");
		define('__BONUS_DI_NOTIFY_N', " checked=\"checked\"");
		break;
	}
	switch ($_CONFIG['bonus_new_mem_notify'])
	{
	case 'Y':
		define('__BONUS_NEW_MEMBER_NOTIFY_Y', " checked=\"checked\"");
		define('__BONUS_NEW_MEMBER_NOTIFY_N', "");
		break;

	case 'N':
		define('__BONUS_NEW_MEMBER_NOTIFY_Y', "");
		define('__BONUS_NEW_MEMBER_NOTIFY_N', " checked=\"checked\"");
		break;
	}
	switch ($_CONFIG['bonus_include_own'])
	{
	case 'Y':
		define('__BONUS_INCLUDE_OWN_Y', " checked=\"checked\"");
		define('__BONUS_INCLUDE_OWN_N', "");
		break;

	case 'N':
		define('__BONUS_INCLUDE_OWN_Y', "");
		define('__BONUS_INCLUDE_OWN_N', " checked=\"checked\"");
		break;
	}

	// Load final template
	LOAD_TEMPLATE("admin_config_bonus", false);
}
//
?>
