<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/17/2005 *
 * ===============                              Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : welcome.php                                      *
 * -------------------------------------------------------------------- *
 * Short description : Welcome page for sponsor area                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Willkommensseite des Sponsorenbereiches          *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software. You can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License.       *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
} elseif ((!EXT_IS_ACTIVE("sponsor")) && (!IS_ADMIN())) {
	ADD_FATAL(EXTENSION_PROBLEM_EXT_INACTIVE);
	return;
} elseif (!IS_SPONSOR()) {
	// No sponsor!
	ADD_FATAL(SPONSOR_ONLY_AREA_ENTERED);
	return;
}

// Load some data
$result = SQL_QUERY_ESC("SELECT gender, surname, family, (points_amount - points_used) AS points
FROM "._MYSQL_PREFIX."_sponsor_data
WHERE id='%s' AND password='%s' LIMIT 1",
 array(bigintval($_COOKIE['sponsorid']), $_COOKIE['sponsorpass']), __FILE__, __LINE__);
list($gender, $surname, $family, $points) = SQL_FETCHROW($result);

// Free memory
SQL_FREERESULT($result);

// Prepare data for the template
define('__GENDER'  , TRANSLATE_GENDER($gender));
define('__SURNAME', $surname);
define('__FAMILY' , $family);
define('__POINTS' , TRANSLATE_COMMA($points));

// Load main template
$OUT = LOAD_TEMPLATE("sponsor_welcome", true);

//
?>
